//  -*- C++  -*-
//
//======================================================================
//  File:          normalize.c
//  Author:        Thomas G. Dietterich
//  Description:   This program reads in a probability table and
//                 prompts the user for a list of variables to
//                 normalize.  It then writes the normalized table
//                 onto the output.
//                 
//  Copyright (c) 1995 by Thomas G. Dietterich.  All Rights Reserved.
//       may be reproduced by any non-commercial purpose.
//======================================================================
#include "ptable.h"
#include <iostream.h>
#include <fstream.h>

int main(int argc, char * argv[])
{
  probabilityTable table1;

  {
    ifstream str(argv[1]);
    str >> table1;
  }

  cout << "Enter variables to normalize (list): ";
  list<int> vars;
  cin >> vars;
  variableSet vs(vars);
  
  table1.normalize(vars);

  cout << "Results:" << endl;
  cout << table1;
  return 0;
}
